cordova.define("com.sfexpress.monitor.error", function(require, exports, module) {

	var exec = require('cordova/exec');

	var ErrorMonitor = function() {};

	/**
	 * 打印错误日志
	 */
	ErrorMonitor.log = function(success, failed, content) {
		exec(success, failed, 'ErrorMonitorPlugin','log' , [content]);
	};

    window.addEventListener("error", function(evt){
        var error = evt.error;
        var message;
        if(error) {
            message = "message:"  + error.message + "\n stack:" + error.stack;
        } else {
            message = evt.message;
        }
        ErrorMonitor.log(null, null, message)
    },false);

	module.exports = ErrorMonitor;
});