cordova.define("com.sfexpress.expressPlugin.LivePlugin", function(require, exports, module) {
    var exec = require('cordova/exec');
	var LivePlugin = function() {};

	//启动推流
    LivePlugin.startPublish = function(getSuccess, getFailed, params){
        exec(getSuccess, getFailed, 'LivePlugin', 'publish', [params]);
    }

    //启动拉流
    LivePlugin.startPlay = function(getSuccess, getFailed, params){
        exec(getSuccess, getFailed, 'LivePlugin', 'play', [params]);
    }

    //启动小视频录制
    LivePlugin.startRecord = function(getSuccess, getFailed){
        exec(getSuccess, getFailed, 'LivePlugin', 'record',[]);
    }

    //启动登录
    LivePlugin.login = function(getSuccess, getFailed,params){
        exec(getSuccess, getFailed, 'LivePlugin', 'login',[params]);
    }

	module.exports = LivePlugin;
});