cordova.define("com.sfexpress.newplugin.SFNativeLocation", function(require, exports, module) {
	var exec = require('cordova/exec');

	var SFNativeLocation = function() {};

	var NativePluginName = "SFNativeLocation";

	var callback;

    var commonHandle = function(methodName, params) {
        var pluginData;
        if (params.data && typeof(params.data) === "object") {
            pluginData = params.data;
        } else {
            pluginData = {};
        }
        exec(params.callback, params.callback, NativePluginName, methodName, [pluginData])
    }
    SFNativeLocation.p_updateCallback = function(result) {
        if(callback && typeof(callback) == "function"){
            callback(result);
        }
    }
    SFNativeLocation.getLocation = function(params) {
        commonHandle("getLocation", params);
    };

    SFNativeLocation.startLocationUpdate = function(params){
        commonHandle("startLocationUpdate", params);
    }

    SFNativeLocation.stopLocationUpdate = function(params){
        commonHandle("stopLocationUpdate", params);
    }

    SFNativeLocation.onLocationUpdate = function(params){
        callback = params.updateCallback;
    }

    module.exports = SFNativeLocation;
});