cordova.define("com.sfexpress.newplugin.SFNativeNet", function(require, exports, module) {
	var exec = require('cordova/exec');

	var SFNativeNet = function() {};

	var NativePluginName = "SFNativeNet";
    var commonHandle = function(methodName, params) {
        var pluginData;
        if (params.data && typeof(params.data) === "object") {
            pluginData = params.data;
        } else {
            pluginData = {};
        }
        exec(params.callback, params.callback, NativePluginName, methodName, [pluginData])
    }

    SFNativeNet.sendRequest = function(params) {
        commonHandle("sendRequest", params);
    };

    SFNativeNet.sendForm = function(params) {
        commonHandle("sendForm", params);
    };

    SFNativeNet.sendUpload = function(params) {
        commonHandle("sendUpload", params);
    };

    module.exports = SFNativeNet;
});